package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : tianhua
 * @time : 2023-12-27
 * @description : 排除标签
 */
@Getter
@AllArgsConstructor
public enum ExcludeTagsEnum {

    /**
     * 已退游标签
     */
    REMOVE_GAME(1, "已退游"),

    /**
     * 已添加企微标签
     */
    ADD_CORP_WECHAT(2, "已添加企微");

    /**
     * 标签ID
     */
    private Integer tagId;

    /**
     * 标签名称
     */
    private String tagName;

    public static String getTagName(Integer tagID) {
        for (ExcludeTagsEnum excludeTagsEnum : ExcludeTagsEnum.values()) {
            if (tagID.equals(excludeTagsEnum.tagId)) {
                return excludeTagsEnum.getTagName();
            }
        }
        return null;
    }


}
